changeset 12398:2bc926ad65c2

merge with stable
author Mads Kiilerich <mads@kiilerich.com>
date Fri, 24 Sep 2010 03:04:14 +0200
parents 9d45f78c465b (current diff) 3b8ced3e3bbf (diff)
children 4fee1fd3de9a
files tests/test-archive.t tests/test-mq-symlinks.t
diffstat 2 files changed, 3 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/tests/test-gendoc	Fri Sep 24 00:17:04 2010 +0200
+++ b/tests/test-gendoc	Fri Sep 24 03:04:14 2010 +0200
@@ -11,7 +11,7 @@
     echo "% extracting documentation from $LOCALE"
     echo ".. -*- coding: utf-8 -*-" > gendoc-$LOCALE.txt
     echo "" >> gendoc-$LOCALE.txt
-    LC_ALL=$LOCALE python $TESTDIR/../doc/gendoc.py >> gendoc-$LOCALE.txt || exit
+    LC_ALL=$LOCALE python $TESTDIR/../doc/gendoc.py >> gendoc-$LOCALE.txt 2> /dev/null || exit
 
     # We call runrst without adding "--halt warning" to make it report
     # all errors instead of stopping on the first one.
--- a/tests/test-mq-symlinks.t	Fri Sep 24 00:17:04 2010 +0200
+++ b/tests/test-mq-symlinks.t	Fri Sep 24 03:04:14 2010 +0200
@@ -95,7 +95,8 @@
   $ hg add linka
   $ hg qnew link
   $ hg mv linka linkb
-  $ ln -sf linkb linkb
+  $ rm linkb
+  $ ln -s linkb linkb
   $ hg qnew movelink
   $ hg qpop
   popping movelink